/**
 * \mainpage SDL Display Library
 *
 * \section copyright Copyright
 *
 * Copyright 2002 Greg McIntyre
 * 
\verbatim
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of the
 License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 USA
\endverbatim
 */

/**
 * \file   display_sdl.h
 * SDL Display library header
 */

#ifndef DISPLAY_SDL_H
#define DISPLAY_SDL_H

#include <SDL.h>

#ifdef __cplusplus
extern "C" {
#endif

#define KEY_UP      SDLK_UP
#define KEY_DOWN    SDLK_DOWN
#define KEY_LEFT    SDLK_LEFT
#define KEY_RIGHT   SDLK_RIGHT
#define KEY_q       SDLK_q
#define KEY_m       SDLK_m
#define KEY_ESCAPE  SDLK_ESCAPE

void display_init();
void display_exit();
void display_clear();
void display_event_loop(void (*keypress_callback)(int key));
void display_refresh();
void display_put_char(char c, int x, int y, int r, int g, int b);
void display_put_string(const char *s, int x, int y, int r, int g, int b);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif
